Criar transcrição
post/v1/audio/transcriptions
Transcreve áudio em texto.
Autenticação
Envie sua chave de API da OLETOKEN como token Bearer. As chaves são criadas na página Chaves de API do console.
Authorization: Bearer $OLETOKEN_API_KEYCorpo da requisição
Content-Type:multipart/form-data
| Campo | Tipo | Obrigatório | Descrição |
|---|---|---|---|
| file | string | O arquivo de áudio | |
| model | string | — | |
| language | string | — | Código de idioma ISO-639-1 |
| prompt | string | — | — |
| response_format | stringdefault: jsonjsontextsrtverbose_jsonvtt | — | — |
| temperature | number | — | — |
| timestamp_granularities | string[] | — | — |
Respostas
200Transcrição criada
| Campo | Tipo | Obrigatório | Descrição |
|---|---|---|---|
| text | string | — | — |
Requisição de exemplo
curl -X POST 'https://api.oletoken.ai/v1/audio/transcriptions' \
-H "Authorization: Bearer $OLETOKEN_API_KEY" \
-F 'file=' \
-F 'model=whisper-1'
